Commit 93d06f6b authored by Ron's avatar Ron

Update for modern autoconf practice

There have been reports of things breaking for users of very new
autotools now (against libogg and other Xiph libraries), so fix
this one too while it's open in the editor.
parent 754e21b5
# Process this file with autoconf to produce a configure script.
AC_INIT
AC_CONFIG_SRCDIR([src/liboggz/oggz.c])
AC_PREREQ([2.53])
AC_PREREQ(2.53)
AC_INIT([liboggz],[1.1.1],[ogg-dev@xiph.org])
AC_CONFIG_SRCDIR([src/liboggz/oggz.c])
AC_CANONICAL_TARGET
AM_INIT_AUTOMAKE(liboggz, 1.1.1)
AM_CONFIG_HEADER(config.h)
AM_INIT_AUTOMAKE
AM_MAINTAINER_MODE([enable])
################################################################################
# Set the shared versioning info, according to section 6.3 of the libtool info #
......@@ -473,7 +473,7 @@ AC_SUBST(BINDIR)
AC_SUBST(SHLIB_VERSION_ARG)
AC_SUBST(SHARED_VERSION_INFO)
AC_OUTPUT([
AC_CONFIG_FILES([
Makefile
doc/Makefile
doc/Doxyfile
......@@ -493,6 +493,9 @@ oggz.pc
oggz-uninstalled.pc
])
AC_CONFIG_HEADERS([config.h])
AC_OUTPUT
AC_MSG_RESULT([
------------------------------------------------------------------------
$PACKAGE $VERSION: Automatic configuration OK.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment